Re: aur-out-of-date: determine out-of-date AUR packages w.r.t. upstream

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: aur-out-of-date: determine out-of-date AUR packages w.r.t. upstream

tur-users mailing list
Neat program!

It currently doesn't handle release candidate version tags. For example,

$ aur-out-of-date -pkg influxdb
[OUT-OF-DATE] [influxdb] Package influxdb should be updated from 1.4.3-1 to
1.5.0rc4

It might be worth adding an option to ignore version tags that end in
'rc*'. Or perhaps make that the default and add a flag to *not* ignore
release candidate tags. I'm sure there are other conventions for post-fixes
on version tags that indicate pre release or testing status. Maybe a more
flexible way to go would be to offer an environment variable or option for
setting a list of regexes to disregard if matched.


Thanks!
Adam Levy
Reply | Threaded
Open this post in threaded view
|

Re: aur-out-of-date: determine out-of-date AUR packages w.r.t. upstream

Rafael Fontenelle-2
2018-02-27 20:05 GMT-03:00 Adam Levy via aur-general
<[hidden email]>:

> Neat program!
>
> It currently doesn't handle release candidate version tags. For example,
>
> $ aur-out-of-date -pkg influxdb
> [OUT-OF-DATE] [influxdb] Package influxdb should be updated from 1.4.3-1 to
> 1.5.0rc4
>
> It might be worth adding an option to ignore version tags that end in
> 'rc*'. Or perhaps make that the default and add a flag to *not* ignore
> release candidate tags. I'm sure there are other conventions for post-fixes
> on version tags that indicate pre release or testing status. Maybe a more
> flexible way to go would be to offer an environment variable or option for
> setting a list of regexes to disregard if matched.
>
>
> Thanks!
> Adam Levy

Hello Adam,

You might want to report this suggestion to the upstream:
https://github.com/simon04/aur-out-of-date/issues

Best regards,
Rafael Fontenelle